class CardsAPIError(Exception):
    pass


class SecurityGroupsAPIError(Exception):
    pass


class ServiceUnavailable(Exception):

    def __init__(self, message=""):
        self.message = message
        super().__init__(self.message)

    def __str__(self):
        return f'{self.message}'

class UnauthorizedError(Exception):

    def __init__(self, message=""):
        self.message = message
        super().__init__(self.message)

    def __str__(self):
        return f'{self.message}'

class NotFoundError(Exception):

    def __init__(self, message=""):
        self.message = message
        super().__init__(self.message)

    def __str__(self):
        return f'{self.message}'


class CardHoldersAPIError(Exception):
    pass
